<template>
  <custom-table :data="data" :headers="headers" :pageSize="pageSize" :pageDisplayCount="4" />
</template>
<script>
import { ref } from 'vue';
import CustomTable from '@/components/custom-controller/CustomTable.vue'

export default {

  components:{
    CustomTable
  },
  setup(){
    const panel = ref([0, 1]);
    const readonly = ref(false);
    const data = ref([
      ['2020', '05','EF1 YANGIN 1 EKSE','35626 - X RE','CY', 'A','4'],
      ['2020', '05','EF1 YANGIN 1 EKSE','35626 - X RE','CY', 'A','4'],
      ['2020', '05','EF1 YANGIN 1 EKSE','35626 - X RE','CY', 'A','4']
    ]);

    const headers = ref(['UWY', 'Trete Kodu', 'Trete Adı', 'Reasuror', 'Period','Gün/Ay','Süre']);
    const pageSize = ref(3);

    return {
      panel,
      readonly,
      data,
      headers,
      pageSize
    }
  }
}

</script>
<style>

</style>
